#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2)
%define		lname		%(echo %{sname} | cut -d '_' -f1)
#-----------------------------------------------------------------------------
Name		:	python3-imagesize_py
Version		:	1.1.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Analyzes JPEG/JPEG 2000/PNG/GIF/TIFF image headers and returns image siz
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/shibukawa/imagesize_py/releases

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
It parses image files’ header and return image size.

    PNG
    JPEG
    JPEG2000
    GIF
    TIFF (experimental)

This is a pure Python library.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc LICENSE.rst README.rst
%{python3_sitelib}/__pycache__/%{lname}.*.pyc
%{python3_sitelib}/%{lname}.py
%{python3_sitelib}/%{lname}-%{version}-*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

#-----------------------------------------------------------------------------
%changelog
